Last Comment Bug 736848 - about:home's layout-independent initialization tasks should use DOMContentLoaded instead of the load event
: about:home's layout-independent initialization tasks should use DOMContentLoa...
Status: RESOLVED FIXED
: perf
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 14
Assigned To: Dão Gottwald [:dao]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-18 08:39 PDT by Dão Gottwald [:dao]
Modified: 2012-03-21 03:56 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (2.07 KB, patch)
2012-03-18 08:39 PDT, Dão Gottwald [:dao]
mak77: review+
Details | Diff | Splinter Review

Description Dão Gottwald [:dao] 2012-03-18 08:39:40 PDT
Created attachment 606976 [details] [diff] [review]
patch

DOMContentLoaded fires earlier than load.
Comment 1 Marco Bonardo [::mak] 2012-03-19 15:05:27 PDT
why do you think we should init earlier? Afaict this has never been reported as a problem, even in the old design that was doing the same.
Comment 2 Dão Gottwald [:dao] 2012-03-20 00:40:39 PDT
I'm not saying I've seen the delay, but that doesn't mean it isn't there. It's probably very short right now, but may get worse soon (bug 697230). Anyway, there's just no reason to wait for the load event with this stuff.
Comment 3 Marco Bonardo [::mak] 2012-03-20 03:09:27 PDT
Comment on attachment 606976 [details] [diff] [review]
patch

Review of attachment 606976 [details] [diff] [review]:
-----------------------------------------------------------------

ok, though I'd prefer if this would make its common path to Aurora, to give it some Nightly testing, rather than being backported.  After all we don't evidence we need it urgently.
Comment 5 Mounir Lamouri (:mounir) 2012-03-21 03:56:39 PDT
https://hg.mozilla.org/mozilla-central/rev/c3704b08e87d

Note You need to log in before you can comment on or make changes to this bug.